VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ItemLinkModification"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public newType_ As TLinkType

Public seed_ As Word.Range
Public sourceLink_ As Word.Hyperlink
Public iterator_ As IteratorLinkCached

Public applyToDocument_ As Boolean
Public spreadToSelected_ As Boolean

Public Property Get FirstID() As Long
  FirstID = iterator_.DestinationID
End Property
